class CreatePDocumentTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :p_document_types do |t|
      t.string       :prefix
      t.string       :label
      t.string       :affix
      t.text         :header
      t.text         :footer
      t.integer      :image_file_id
      t.references   :data_file,   index: true
      t.string       :class_type
      t.string       :sub_type
      t.string       :name
      t.boolean      :enabled,   :default => false
      t.integer      :position

      t.timestamps
    end
  end
end
